std::insert_iterator< _Container >(3)

NAME
std::insert_iterator< _Container > - Turns assignment into insertion.

SYNOPSIS

Inherits std::iterator< output_iterator_tag, void, void, void, void >.

  Public Types
typedef _Container container_type
A nested typedef for the type of whatever container you used.
typedef void difference_type
Distance between iterators is represented as this type.
typedef output_iterator_tag iterator_category
One of the tag types.
typedef void pointer
This type represents a pointer-to-value_type.
typedef void reference
This type represents a reference-to-value_type.
typedef void value_type
The type 'pointed to' by the iterator.

  Public Member Functions
constexpr insert_iterator (_Container &__x, _Iter __i)
constexpr insert_iterator & operator* ()
Simply returns *this.
constexpr insert_iterator & operator++ ()
Simply returns *this. (This iterator does not move.)
constexpr insert_iterator & operator++ (int)
Simply returns *this. (This iterator does not move.)
constexpr insert_iterator & operator= (const typename _Container::value_type &__value)
constexpr insert_iterator & operator= (typename _Container::value_type &&__value)

  Protected Attributes
_Container * container
_Iter iter

Detailed Description

  template<typename _Container>
class std::insert_iterator< _Container >" Turns assignment into insertion. These are output iterators, constructed from a container-of-T. Assigning a T to the iterator inserts it in the container at the iterator's position, rather than overwriting the value at that position.

(Sequences will actually insert a copy of the value before the iterator's position.)

Tip: Using the inserter function to create these iterators can save typing.

Definition at line 781 of file bits/stl_iterator.h.

Member Typedef Documentation

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::difference_type [inherited]

Distance between iterators is represented as this type.

Definition at line 134 of file stl_iterator_base_types.h.

  typedef output_iterator_tag std::iterator< output_iterator_tag , void , void , void , void >::iterator_category [inherited]

One of the tag types.

Definition at line 130 of file stl_iterator_base_types.h.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::pointer [inherited]

This type represents a pointer-to-value_type.

Definition at line 136 of file stl_iterator_base_types.h.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::reference [inherited]

This type represents a reference-to-value_type.

Definition at line 138 of file stl_iterator_base_types.h.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::value_type [inherited]

The type 'pointed to' by the iterator.

Definition at line 132 of file stl_iterator_base_types.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.